Bug 1417396 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(int)(): plasmashell killed by SIGSEGV
Summary: [abrt] plasma-workspace: KCrash::defaultCrashHandler(int)(): plasmashell kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4bd37b49d1a031b15841898b97f...
: 1435066 1446173 1482738 1497921 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 17:37 UTC by Jonathan Ryshpan
Modified: 2017-12-12 10:38 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:38:08 UTC


Attachments (Terms of Use)
File: backtrace (40.82 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: core_backtrace (19.58 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: dso_list (36.93 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: environ (2.51 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: maps (224.23 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: mountinfo (3.87 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: open_fds (185 bytes, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details
File: var_log_messages (4.99 KB, text/plain)
2017-01-28 17:37 UTC, Jonathan Ryshpan
no flags Details

Description Jonathan Ryshpan 2017-01-28 17:37:00 UTC
Description of problem:
I was running Firefox for a fairly long time (about 20 hours) with a fairly large number of tabs open (5 windows 12 tabs).  
Firefox became very slow, so I Quit it using the pull-down tab, which usually gets its speed up to normal..  
Firefox quit OK but then plasma-workspace crashed; the screen went dark.  Then the KDE restarted.

This happens fairly frequently, about once or twice a week.  I had hoped the problem would go away when I installed Fedora-25; 
but the problem persists as it did in Fedora-24.

Version-Release number of selected component:
plasma-workspace-5.8.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     22354
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 KCrash::defaultCrashHandler(int) at /usr/src/debug/kcrash-5.29.0/src/kcrash.cpp:432

Potential duplicate: bug 1259472

Comment 1 Jonathan Ryshpan 2017-01-28 17:37:08 UTC
Created attachment 1245412 [details]
File: backtrace

Comment 2 Jonathan Ryshpan 2017-01-28 17:37:09 UTC
Created attachment 1245413 [details]
File: cgroup

Comment 3 Jonathan Ryshpan 2017-01-28 17:37:11 UTC
Created attachment 1245414 [details]
File: core_backtrace

Comment 4 Jonathan Ryshpan 2017-01-28 17:37:12 UTC
Created attachment 1245415 [details]
File: dso_list

Comment 5 Jonathan Ryshpan 2017-01-28 17:37:13 UTC
Created attachment 1245416 [details]
File: environ

Comment 6 Jonathan Ryshpan 2017-01-28 17:37:14 UTC
Created attachment 1245417 [details]
File: limits

Comment 7 Jonathan Ryshpan 2017-01-28 17:37:17 UTC
Created attachment 1245418 [details]
File: maps

Comment 8 Jonathan Ryshpan 2017-01-28 17:37:18 UTC
Created attachment 1245419 [details]
File: mountinfo

Comment 9 Jonathan Ryshpan 2017-01-28 17:37:19 UTC
Created attachment 1245420 [details]
File: namespaces

Comment 10 Jonathan Ryshpan 2017-01-28 17:37:21 UTC
Created attachment 1245421 [details]
File: open_fds

Comment 11 Jonathan Ryshpan 2017-01-28 17:37:22 UTC
Created attachment 1245422 [details]
File: proc_pid_status

Comment 12 Jonathan Ryshpan 2017-01-28 17:37:23 UTC
Created attachment 1245423 [details]
File: var_log_messages

Comment 13 DeepPurpleFedora 2017-01-30 07:36:38 UTC
Similar problem has been detected:

it occured right after firefox crashed but i didnt realize that anything else happened until i got the alert saying so.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     1104
kernel:         4.9.4-201.fc25.x86_64
package:        plasma-workspace-5.8.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 deuzene 2017-03-23 03:24:32 UTC
*** Bug 1435066 has been marked as a duplicate of this bug. ***

Comment 15 Jonathan Ryshpan 2017-03-23 18:30:05 UTC
Similar problem has been detected:

The problem occurs about half the times I quit Firefox.  The problem happens most frequently when Firefox has a lot of open tabs, here Firefox has 15 tabs in 8 windows.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     1506
kernel:         4.9.14-200.fc25.x86_64
package:        plasma-workspace-5.8.6-4.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Jonathan Ryshpan 2017-03-23 18:32:32 UTC
Yet another crash under similar circumstances.

Comment 17 Thomas Schmitz 2017-04-04 07:35:47 UTC
Similar problem has been detected:

My Acer monitor quickly disconnects and then reconnects from the GPU, whenever it detects a channel with a signal. This quick switching must have caused the SIGSEV

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     5773
kernel:         4.10.6-200.fc25.x86_64
package:        plasma-workspace-5.8.6-6.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 aannoaanno 2017-04-27 11:43:54 UTC
*** Bug 1446173 has been marked as a duplicate of this bug. ***

Comment 19 B H 2017-05-08 15:21:25 UTC
Similar problem has been detected:

Plugged in a USB-C dock with two external monitors attached.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     3930
kernel:         4.10.11-200.fc25.x86_64
package:        plasma-workspace-5.9.4-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 bharatgourabdas 2017-08-16 21:58:10 UTC
Similar problem has been detected:

1-Clicked on close button to save machine state in Virtual box session
2-Tried to switch windows with alt+tab
Then this crash happed and panel dissapeared for about 15 seconds and came back again

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/plasmashell
global_pid:     30285
kernel:         4.11.12-200.fc25.x86_64
package:        plasma-workspace-5.9.5.1-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 21 rjiang121 2017-08-18 02:05:43 UTC
*** Bug 1482738 has been marked as a duplicate of this bug. ***

Comment 22 Pupkur 2017-10-03 06:59:36 UTC
*** Bug 1497921 has been marked as a duplicate of this bug. ***

Comment 23 Fedora End Of Life 2017-11-16 15:18:26 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2017-12-12 10:38:08 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.